// Client_demo.h : main header file for the CLIENT_DEMO application
//

#if !defined(AFX_CLIENT_DEMO_H__C460DDB7_AACC_4177_B78B_F255A7D002F8__INCLUDED_)
#define AFX_CLIENT_DEMO_H__C460DDB7_AACC_4177_B78B_F255A7D002F8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols
#define K_LG_MESSAGE 128

typedef struct mdc_mode_attr {
	md_fmt_t	fmt;
	mcd_rq_t	rq;
	char		*rq_str, *active_str;
} mdc_mode_attr_t;

typedef struct mdc_res_attr {
	mcd_rq_t	rq;
	int			width, height;
} mdc_res_attr_t;

typedef struct mdc_context {
	DWORD				IdThreadComm;
	HANDLE				hThreadComm;
	char				init_rc;
	char				IPaddr[20];
	SOCKET				Sock;
	FILE				*LogFile;
	int					ModeIdx;
	mdc_mode_attr_t		ModeAttr[MD_MAX_FMT+1];
	int					ResIdx;
	mdc_res_attr_t		ResAttr[MD_MAX_RES];
	md_initdata_t		InitData;
	HWND				hClient_demoDlg, hRegisterSettingDlg;
	unsigned char		*Image;
	int					MaxWidth, MaxHeight;

} mdc_context_t;

extern struct mdc_context gCtx;	/* Allocated in Client_demo.cpp */

//#ifdef DEF_GLOBAL_VARIABLES_ALLOC_CLIENT_DEMO_H
//#define DEF_EXTERN		/* only in Client_demo.cpp ! */
//#else
//#define DEF_EXTERN extern
//#endif

//DEF_EXTERN DWORD			gIdThreadComm;
//DEF_EXTERN HANDLE			ghThreadComm;
//DEF_EXTERN char				gInit_rc;
//DEF_EXTERN char				gIPadr[20];
//DEF_EXTERN SOCKET			gSocketComm;
//DEF_EXTERN FILE				*gpLogFile;
//DEF_EXTERN int				gSensor;
//DEF_EXTERN CLIENT_DEMO_MODE	gMode;
//DEF_EXTERN IMAGE_FORMAT     gImageFormat;
//DEF_EXTERN struct {
//	mcd_rq_t	rq;
//	char		rq_str[K_LG_MESSAGE];
//	char		active_str[K_LG_MESSAGE];
//} gtMode[K_MODE_MAX];
//DEF_EXTERN unsigned char	gImage[K_IMGMAXW*K_IMGMAXH*3];

// pointeurs sur les fentres
//DEF_EXTERN HWND				ghClient_demoDlg;
//DEF_EXTERN HWND				ghRegisterSettingDlg;

//#undef DEF_EXTERN


/* prototypes fonctions */
DWORD WINAPI ThreadComm( LPVOID );
void sendSocket(char* pBuf, int SzBuf);

/////////////////////////////////////////////////////////////////////////////
// CClient_demoApp:
// See Client_demo.cpp for the implementation of this class
//

class CClient_demoApp : public CWinApp
{
public:
	CClient_demoApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CClient_demoApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(CClient_demoApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLIENT_DEMO_H__C460DDB7_AACC_4177_B78B_F255A7D002F8__INCLUDED_)
