// RegisterSettingDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Client_demo.h"
#include "RegisterSettingDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRegisterSettingDlg dialog


CRegisterSettingDlg::CRegisterSettingDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRegisterSettingDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRegisterSettingDlg)
	m_editRegisterAdress = _T("0x");
	m_editRegisterValue = _T("");
	//}}AFX_DATA_INIT
}


void CRegisterSettingDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRegisterSettingDlg)
	DDX_Text(pDX, IDC_EDIT_REGISTER_ADRESS, m_editRegisterAdress);
	DDX_Text(pDX, IDC_EDIT_REGISTER_VALUE, m_editRegisterValue);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRegisterSettingDlg, CDialog)
	//{{AFX_MSG_MAP(CRegisterSettingDlg)
	ON_BN_CLICKED(IDCLOSE, OnClose)
	ON_BN_CLICKED(IDC_BUTTON_REGISTER_GET_VALUE, OnButtonRegisterGetValue)
	ON_BN_CLICKED(IDC_BUTTON_REGISTER_SET_VALUE, OnButtonRegisterSetValue)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRegisterSettingDlg message handlers

void CRegisterSettingDlg::OnClose() 
{
	CDialog::OnOK();
}

void CRegisterSettingDlg::OnButtonRegisterGetValue() 
{
	UpdateData(TRUE);
	struct {
		int header;
		int regadr;
	} msg;
	msg.header = MD_RQ_GET_REG_VAL;
	msg.regadr = CStringToIntegerValue(m_editRegisterAdress);
	sendSocket((char*) &msg, sizeof(msg));
}

void CRegisterSettingDlg::OnButtonRegisterSetValue() 
{
	UpdateData(TRUE);
	struct {
		int header;
		int regadr;
		int regval;
	} msg;
	msg.header = MD_RQ_SET_REG_VAL;
	msg.regadr = CStringToIntegerValue(m_editRegisterAdress);
	msg.regval = CStringToIntegerValue(m_editRegisterValue);
	sendSocket((char*) &msg, sizeof(msg));
}

int CRegisterSettingDlg::CStringToIntegerValue(CString CStr)
{
	CStr.MakeLower();
	const char *Str = (LPCTSTR) CStr;
	int Val;
	if ((Str[0] == '0') && (Str[1] == 'x'))
		sscanf(Str+2, "%x", &Val);
	else
		sscanf(Str, "%d", &Val);
	printf("Retrieving value of register %s %d\n", Str, Val);
	return Val;
}

BOOL CRegisterSettingDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	gCtx.hRegisterSettingDlg = this->m_hWnd;
	GetDlgItem(IDC_EDIT_REGISTER_ADRESS)->SetFocus();
	return FALSE;

//	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
